FLAM® Issue Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000763FL55. FKME/FKM5public2015-11-21 09:292015-12-03 17:43
ReporterFalk Reichbott 
Assigned ToFalk Reichbott 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformGeneralOSGeneralOS VersionGeneral
Product Version5.1.09 
Target Version5.1.10Fixed in Version5.1.10 
Summary0000763: If more then one key PGP availabel, choose the youngest of the actives one
DescriptionTo renew the key material the same key will exist with different creation dates in the key store. At write of a pgp file the youngest of active key must be used.

This requires to define the creation date in the future and the selection of the write key depending on the creation date (must be in the past) and the vailid days (must be valid).

This support will simplify key renewl and don't require syncron change of the key material.
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000932)
Falk Reichbott (administrator)
2015-11-26 17:17

For CCA done, PKCS11 it must be done analogue
(0000938)
Falk Reichbott (administrator)
2015-12-03 17:43

Add key life cycle management. At key generation you can define the activation date and the valid days. At write the youngest of the active keys are determined automatically. Is no active key found an error will occir. At export and delete you can set the time point to define the keys used for this operation. At read the key id is normally used to determine the correct key. If no key id available (hidden reciepient) the user id must and a certain time point can defined to choose the correct key.

- Issue History
Date Modified Username Field Change
2015-11-21 09:29 Falk Reichbott New Issue
2015-11-21 09:29 Falk Reichbott Status new => assigned
2015-11-21 09:29 Falk Reichbott Assigned To => Falk Reichbott
2015-11-26 17:17 Falk Reichbott Note Added: 0000932
2015-12-03 17:43 Falk Reichbott Note Added: 0000938
2015-12-03 17:43 Falk Reichbott Status assigned => resolved
2015-12-03 17:43 Falk Reichbott Fixed in Version => 5.1.10
2015-12-03 17:43 Falk Reichbott Resolution open => fixed


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker